/*
* @(#) JavaPackageException.java 
*
*/
package loader;
/**
* L'eccezione viene generata quando si tenta di caricare una classe del package java.*
* da una sorgente diversa dal file system locale.<br>
*
* La JVM  fornisce alle classi appartenenti al package java  particolari
* privilegi di accesso, non concessi alle altre classi.<br>
* Per cui si vieta di caricare dal network classi che si
* dichiarano appartenenti al package java, le quali
* hanno i privilegi per poter violare diverse restrizioni di sicurezza.<br>
*
* @version		1.0 Gennaio 1998
* @author		Donato Cappetta - cappetta@diiie.unisa.it
*/
public class JavaPackageException extends ClassNotFoundException {

	/**
	* Costruttore di default.
	*/

	public JavaPackageException() {
		super();
	}

	/**
	* @param s Stringa che descrive l'eccezione.
	*/

	public JavaPackageException(String s) {
		super(s);
	}

}	//end class.